Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.html.jsp.datatags
Class EditRecordTag

`java.lang.Object
javax.servlet.jsp.tagext.TagSupport
oracle.jbo.html.jsp.datatags.ComponentTag
oracle.jbo.html.jsp.datatags.DataComponentTag
oracle.jbo.html.jsp.datatags.EditRecordTag`

All Implemented Interfaces:
  javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class EditRecordTag
extends DataComponentTag

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `defaultUrl`
`static java.lang.String[]` | `paramNames`
`protected java.lang.String` | `sEncType`
`protected java.lang.String` | `sTargetUrl`

Fields inherited from class oracle.jbo.html.jsp.datatags.DataComponentTag
`DATASOURCE_PARAM, dsParamNames, MODEL_PARAM, modelReference, sDatasource`

Fields inherited from class oracle.jbo.html.jsp.datatags.ComponentTag
`sRelativeUrlPath`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`EditRecordTag()`

Method Summary
`java.lang.String` | `getUrl()`
`protected void` | `reset()`
`void` | `setEnctype(java.lang.String sValue)`
`void` | `setTargetURL(java.lang.String sValue)`

Methods inherited from class oracle.jbo.html.jsp.datatags.DataComponentTag
`isUsingBindings, setDatasource, setModel`

Methods inherited from class oracle.jbo.html.jsp.datatags.ComponentTag
`buildUrl, doEndTag, doStartTag, setRelativeUrlPath`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### defaultUrl

    public static final java.lang.String defaultUrl

  See Also:
    Constant Field Values

### paramNames

    public static final java.lang.String[] paramNames

### sTargetUrl

    protected java.lang.String sTargetUrl

### sEncType

    protected java.lang.String sEncType

Constructor Detail

### EditRecordTag

    public EditRecordTag()

Method Detail

### reset

    protected void reset()

  Overrides:
    `reset` in class `DataComponentTag`

### setTargetURL

    public void setTargetURL(java.lang.String sValue)

### setEnctype

    public void setEnctype(java.lang.String sValue)

### getUrl

    public java.lang.String getUrl()

  Overrides:
    `getUrl` in class `DataComponentTag`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.